## node-livescript 1.5.0+dfsg

=== Makefile ===
default: all

SRC = $(shell find src -name "*.ls" -type f | sort)
LIB = $(SRC:src/%.ls=lib/%.js) lib/parser.js
LSC = bin/lsc
BROWSERIFY = node_modules/.bin/browserify
UGLIFYJS = node_modules/.bin/uglifyjs
ISTANBUL = node_modules/.bin/istanbul

lib:
	mkdir -p lib/

lib/parser.js: lib/grammar.js
	./scripts/build-parser > lib/parser.js

lib/%.js: src/%.ls lib
	$(LSC) --output lib --bare --compile "$<"

browser:
	mkdir browser/

browser/livescript.js: $(LIB) browser scripts/preroll
	{ ./scripts/preroll ; $(BROWSERIFY) -r ./lib/browser.js:livescript ; } > browser/livescript.js

browser/livescript-min.js:  browser/livescript.js
	$(UGLIFYJS) browser/livescript.js --mangle --comments "all" > browser/livescript-min.js

package.json: package.json.ls
	$(LSC) --compile package.json.ls

.PHONY: build build-browser force full install dev-install test test-harmony coverage loc clean

all: build

build: $(LIB) package.json

build-browser: browser/livescript.js browser/livescript-min.js

force:
	make -B

full:
	make force && make force && make test && make coverage

install: build
	npm install -g .

dev-install: package.json
	npm install .

test: build
	./scripts/test

test-harmony: build
	node --harmony ./scripts/test

coverage: build
	$(ISTANBUL) cover ./scripts/test

loc:
	wc --lines src/*

clean:
	rm -f ./*.js
	rm -rf lib
	rm -rf browser/*.js
	rm -rf coverage
	rm -f package.json

=== debian/changelog ===
node-livescript (1.5.0+dfsg-4) unstable; urgency=medium

  * Upstream fix a regexp failure test with node > 6
  * Drop nodejs renaming from patch

 -- Jérémy Lal <kapouer@melix.org>  Wed, 03 Jan 2018 23:47:18 +0100

node-livescript (1.5.0+dfsg-3) unstable; urgency=medium

  * Add livescript to builddeps (Closes: #841587)
  * Add jison to autopkgtest depends (fixes autopkgtest failure) 

 -- Pirate Praveen <praveen@debian.org>  Sat, 19 Nov 2016 22:53:58 +0530

node-livescript (1.5.0+dfsg-2) unstable; urgency=medium

  * Use jison package, drop npm (Closes: #840760)

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Oct 2016 22:32:20 +0530

node-livescript (1.5.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #840514)

 -- Pirate Praveen <praveen@debian.org>  Wed, 12 Oct 2016 17:08:45 +0530

=== debian/control ===
Source: node-livescript
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , jison
 , livescript
Standards-Version: 3.9.8
Homepage: http://livescript.net
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-livescript.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-livescript.git

Package: livescript
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-source-map (>= 0.5.6)
 , node-prelude-ls (>= 1.1.2)
 , node-optionator (>= 0.8.1)
Description: language which compiles to JavaScript
 It has a straightforward mapping to JavaScript and allows you to write
 expressive code devoid of repetitive boilerplate. While LiveScript adds many
 features to assist in functional style programming, it also has many
 improvements for object oriented and imperative programming.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-livescript 1.6.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	mkdir -p lib/
 
 lib/parser.js: lib/grammar.js
-	./scripts/build-parser > lib/parser.js
+	./scripts/build-parser
 
 lib/%.js: src/%.ls lib
 	$(LSC) --output lib --bare --compile "$<"
@@ -28,7 +28,7 @@
 package.json: package.json.ls
 	$(LSC) --compile package.json.ls
 
-.PHONY: build build-browser force full install dev-install test test-harmony coverage loc clean
+.PHONY: build build-browser force full install dev-install test coverage loc clean
 
 all: build
 
@@ -51,9 +51,6 @@
 test: build
 	./scripts/test
 
-test-harmony: build
-	node --harmony ./scripts/test
-
 coverage: build
 	$(ISTANBUL) cover ./scripts/test

=== debian/changelog ===
node-livescript (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.0+dfsg
  * Drop patch applied upstream
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Bump debhelper compatibility level to 11
  * Update dependencies
  * Use salsa.debian.org in Vcs-* fields

 -- Pirate Praveen <praveen@debian.org>  Mon, 07 Jan 2019 17:13:47 +0530

=== debian/control ===
Source: node-livescript
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 11~)
 , nodejs
 , jison
 , livescript
 , node-source-map-support
Standards-Version: 4.3.0
Homepage: http://livescript.net
Vcs-Git: https://salsa.debian.org/js-team/node-livescript.git
Vcs-Browser: https://salsa.debian.org/js-team/node-livescript

Package: livescript
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-source-map (>= 0.6.1~)
 , node-source-map-support (>= 0.5.6~)
 , node-prelude-ls (>= 1.1.2~)
 , node-optionator (>= 0.8.1~)
Description: language which compiles to JavaScript
 It has a straightforward mapping to JavaScript and allows you to write
 expressive code devoid of repetitive boilerplate. While LiveScript adds many
 features to assist in functional style programming, it also has many
 improvements for object oriented and imperative programming.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/tests/control ===
Tests: require
Depends: @

Test-Command: make test
Depends: @, jison

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-livescript-$1.tar.gz/ \
 https://github.com/gkz/LiveScript/tags .*/archive/v?([\d\.]+).tar.gz

## node-livescript 1.6.1+dfsg

=== debian/changelog ===
node-livescript (1.6.1+dfsg-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + livescript: Drop versioned constraint on node-source-map and
      node-source-map-support in Depends.

  [ Yadd ]
  * Declare compliance with policy 4.6.1
  * Fix test for nodejs >= 16, error strings changed (Closes: #1011806)

 -- Yadd <yadd@debian.org>  Wed, 01 Jun 2022 12:26:12 +0200

node-livescript (1.6.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Modernize debian/watch
    * Fix GitHub tags regex
    * Fix filenamemangle
  * Update standards version to 4.6.0, no changes needed.
  * Update nodejs dependency => nodejs:any

 -- Yadd <yadd@debian.org>  Tue, 16 Nov 2021 12:31:52 +0100

node-livescript (1.6.1+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Declare node-livescript
  * Use dh-sequence-nodejs auto test & install
  * New upstream version 1.6.1+dfsg
  * Update copyright
  * Drop unneeded version constraints from (build) dependencies
  * Refresh patches
  * Generate manpage using help2man

 -- Xavier Guimard <yadd@debian.org>  Sun, 01 Nov 2020 16:39:35 +0100

=== debian/control ===
Source: node-livescript
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , help2man
 , jison
 , livescript
 , node-source-map-support
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-livescript
Vcs-Git: https://salsa.debian.org/js-team/node-livescript.git
Homepage: https://livescript.net
Rules-Requires-Root: no

Package: livescript
Architecture: all
Depends: ${misc:Depends}
 , node-optionator
 , node-prelude-ls
 , node-source-map
 , node-source-map-support
 , nodejs:any
Provides: node-livescript
Description: language which compiles to JavaScript
 It has a straightforward mapping to JavaScript and allows you to write
 expressive code devoid of repetitive boilerplate. While LiveScript adds many
 features to assist in functional style programming, it also has many
 improvements for object oriented and imperative programming.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_build:
	make
	help2man --no-info /usr/bin/lsc >lsc.1
